## python-pynetstring 0.2

=== Makefile ===
TESTS=tests/tests.py
OK_TESTS=.ok_tests
SRCS=$(shell find . -name '*.py')
all: $(OK_TESTS)

$(OK_TESTS): $(SRCS) $(TESTS)
	python3 -m unittest $(TESTS) && touch $@

clean:
	rm -f $(OK_TESTS)
	rm -rf dist build pynetstring.egg-info pynetstring-*.tar.gz __pycache__

dist: $(OK_TESTS) setup.py $(SRCS)
	python3 setup.py sdist
	python3 setup.py bdist_wheel

=== debian/changelog ===
python-pynetstring (0.2-2) unstable; urgency=medium

  * Source-only upload to allow testing migration.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Add rules-requires-root to control file.

 -- Benjamin Hof <vexel@vexel.net>  Mon, 18 Nov 2019 19:22:33 +0100

python-pynetstring (0.2-1) unstable; urgency=medium

  * Initial packaging. (Closes: #923676)

 -- Benjamin Hof <vexel@vexel.net>  Mon, 26 Aug 2019 13:42:17 +0200

=== debian/control ===
Source: python-pynetstring
Maintainer: Benjamin Hof <vexel@vexel.net>
Section: python
Priority: optional
Build-Depends: debhelper-compat (=12),
               dh-python,
               python3-all,
               python3-setuptools,
Standards-Version: 4.4.1
Homepage: https://github.com/rj79/pynetstring
Vcs-Browser: https://salsa.debian.org/debian/pynetstring
Vcs-Git: https://salsa.debian.org/debian/pynetstring.git
Testsuite: autopkgtest-pkg-python
Rules-Requires-Root: no

Package: python3-pynetstring
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Description: netstring library for Python 3
 A Python 3 module for encoding and decoding netstrings, a serialisation
 method designed for network transfer and safe parsing.  The netstring format
 is defined at https://cr.yp.to/proto/netstrings.txt.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=pynetstring

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git,\
  dversionmangle=s/^0\.2$/0.2+git20190818.18e4f6d/,\
  pretty=0.2+git%cd.%h,\
  pgpmode=none" \
https://github.com/rj79/pynetstring/ \
HEAD

## python-pynetstring 0.5

=== Makefile ===
HOST_PYTHON=$(shell which python3)
VENV=.venv
TESTS=tests/tests.py
REQS=requirements.txt
PYTHON=$(VENV)/bin/python
OK_TESTS=.ok_tests
OK_VENV=.ok_venv
OK_REQ=.ok_req
SRCS=$(shell find . -name '*.py')

all: $(OK_TESTS)

$(OK_VENV):
	$(HOST_PYTHON) -m venv .venv && touch $@

$(OK_REQ): $(OK_VENV) $(REQS)
	$(VENV)/bin/pip install --upgrade pip
	$(VENV)/bin/pip install -r $(REQS) && touch $@

$(OK_TESTS): $(SRCS) $(TESTS) $(OK_REQ)
	$(PYTHON) -m unittest $(TESTS) && touch $@

clean:
	rm -f $(OK_TESTS) $(OK_VENV) $(OK_REQ)
	rm -rf $(VENV) dist build pynetstring.egg-info pynetstring-*.tar.gz __pycache__

dist: $(OK_TESTS) setup.py $(SRCS)
	$(PYTHON) setup.py sdist
	$(PYTHON) setup.py bdist_wheel
	$(PYTHON) -m twine check dist/*

upload: dist
	$(PYTHON) -m twine upload --verbose --repository-url https://test.pypi.org/legacy/ dist/*

timeit: all
	$(PYTHON) -m timeit -n 1000 -r 100 -s 'import pynetstring' 'pynetstring.decode(b"0:,0:,0:,3:abc,10:0123456789,52:abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ,")'

=== requirements.txt ===
setuptools
twine
wheel

=== debian/changelog ===
python-pynetstring (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump copyright year.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Upstream now uses git tags, use them in the watch file.

 -- Benjamin Hof <vexel@vexel.net>  Sun, 26 Jan 2020 17:00:58 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                dh-python,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/rj79/pynetstring
 Vcs-Browser: https://salsa.debian.org/debian/pynetstring
 Vcs-Git: https://salsa.debian.org/debian/pynetstring.git

=== debian/watch ===
version=4
opts="\
  pgpmode=none, \
  filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/python-pynetstring-$1.tar.gz/" \
  https://github.com/rj79/pynetstring/releases .*/([\d.]+)\.tar.gz
